Bug 98974 - Missing tunables in loader(8) manpage
Summary: Missing tunables in loader(8) manpage
Status: Open
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-15 09:50 UTC by Jelte Jansen
Modified: 2018-04-11 20:39 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jelte Jansen 2006-06-15 09:50:16 UTC
Some tunables (at least kern.maxdsiz, to set the maximum allowed datasize for processes which defaults to 512 mb) are not documented in any manual page i could find. These would probably go in loader(8). The only place i found where it is even mentioned is /boot/defaults/loader.conf, but the information there is too sparse to know what values to use and what it's for.

Fix: 

Add text to the manpage, i propose something like:

kern.maxdsiz      Set the maximum allowed datasize resource limit for processes. This value defaults to 512 megabytes. The value should be entered in number of bytes, without modifiers. The value may not exceed addressable space.

But someone else can probably do a better job, i'm not sure if the no modifiers is still necessary.

There are probably other tunables that are not mentioned yet.
How-To-Repeat: man loader

(no mention here)

grep maxdsiz /usr/src/sys/kern/subr_param.c

(is is a tunable)
Comment 1 Ceri Davies 2006-06-15 11:52:27 UTC
On 15/6/06 09:41, "Jelte Jansen" <jelte@NLnetLabs.nl> wrote:

> Some tunables (at least kern.maxdsiz, to set the maximum allowed datasize for
> processes which defaults to 512 mb) are not documented in any manual page i
> could find. These would probably go in loader(8). The only place i found where
> it is even mentioned is /boot/defaults/loader.conf, but the information there
> is too sparse to know what values to use and what it's for.

Some moons ago, Tom Rhodes was working on a new manpage for tunables.

Tom, is this still ongoing (or did it even get committed and I didn't
notice)?

Ceri
Comment 2 Tom Rhodes freebsd_committer 2006-06-15 12:02:35 UTC
On Thu, 15 Jun 2006 11:52:27 +0100
Ceri Davies <ceri@submonkey.net> wrote:

> On 15/6/06 09:41, "Jelte Jansen" <jelte@NLnetLabs.nl> wrote:
> 
> > Some tunables (at least kern.maxdsiz, to set the maximum allowed datasize for
> > processes which defaults to 512 mb) are not documented in any manual page i
> > could find. These would probably go in loader(8). The only place i found where
> > it is even mentioned is /boot/defaults/loader.conf, but the information there
> > is too sparse to know what values to use and what it's for.
> 
> Some moons ago, Tom Rhodes was working on a new manpage for tunables.
> 
> Tom, is this still ongoing (or did it even get committed and I didn't
> notice)?

And I was really wondering if I should follow up.  It appears
there is a slight difference between tunables and sysctls.
To be honest, I don't see it, but yea.  Anyway, I created a
simple script to find and document as many as plausible:

src/tools/tools/sysdoc

If someone can do something better with it, then yay.  Eventually
I may redo it in C, but I doubt.

-- 
Tom Rhodes
Comment 3 ru freebsd_committer 2006-10-30 21:27:23 UTC
For the record.  The src/tools/tools/sysdoc tool has nothing to
do with loader(8) tunables; instead, a tool scans the installed
kernel for sysctls which are not loader(8) tunables.  (Some of
the sysctls also have the tunables of the same name, but not
necessarily.)


Cheers,
-- 
Ruslan Ermilov
ru@FreeBSD.org
FreeBSD committer
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:10 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped